import { UmbMediaPickerFolderFilter } from './input-media.context.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbInteractionMemoryModel } from '../../../../core/interaction-memory/index.js';
import type { UmbTreeStartNode } from '../../../../core/tree/index.js';
import '../../../imaging/index.js';
declare const elementName = "umb-input-media";
declare const UmbInputMediaElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputMediaElement extends UmbInputMediaElement_base {
    #private;
    /**
     * This is a minimum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set min(value: number);
    get min(): number;
    /**
     * Min validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    minMessage: string;
    /**
     * This is a maximum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set max(value: number);
    get max(): number;
    /**
     * Max validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    maxMessage: string;
    set selection(ids: Array<string>);
    get selection(): Array<string>;
    allowedContentTypeIds?: Array<string>;
    includeTrashed: boolean;
    folderFilter: UmbMediaPickerFolderFilter;
    startNode?: UmbTreeStartNode;
    set value(selectionString: string | undefined);
    get value(): string | undefined;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default
     */
    get readonly(): boolean;
    set readonly(value: boolean);
    get interactionMemories(): Array<UmbInteractionMemoryModel> | undefined;
    set interactionMemories(value: Array<UmbInteractionMemoryModel> | undefined);
    private _editMediaPath;
    private _cards;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbInputMediaElement as element };
declare global {
    interface HTMLElementTagNameMap {
        [elementName]: UmbInputMediaElement;
    }
}
